#include "Plus.h"


Plus::Plus(Expression *left, Expression *right)
    : BinaryOperator(left, right)
{
}


Plus::~Plus(void)
{
}

int Plus::interpret(std::map<std::string,Expression*> &variables)
{
    return m_leftOperand->interpret(variables) + m_rightOperand->interpret(variables);
}
